Bug 1119801 - [windows guest tools] do not overwrite .ini file
Summary: [windows guest tools] do not overwrite .ini file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Windows Guest Tools
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.2
Assignee: Lev Veyde
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On: 1115526
Blocks: 1123858
TreeView+ depends on / blocked
 
Reported: 2014-07-15 14:38 UTC by rhev-integ
Modified: 2014-09-04 12:59 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A change in the structure of the Red Hat Enterprise Virtualization guest agent configuration files allowed users to have a system local .ini file but also allowed the file to be overwritten by the default configuration file and caused any customization by the user to be lost. The logic was modified to never remove the system local .ini file, and to only create the file if one doesn't exist, and the file can no longer be overwritten.
Clone Of: 1115526
Environment:
Last Closed: 2014-09-04 12:59:01 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1157 normal SHIPPED_LIVE rhev-guest-tools-iso bug fix and enhancement update 2014-09-04 16:57:44 UTC

Comment 2 Jiri Belka 2014-07-31 14:50:57 UTC
ok, 3.4.9

flow:
- 3.4.8 installed, default* + *.ini files saved for later
- 3.4.8 uninstalled
- files put back into appropriate dir, *.ini file edited (different log path, refresh times...)
- 3.4.9 installed

*.ini file was kept and my customization were overriding defaults, voila!

Comment 3 Julie 2014-08-20 03:30:08 UTC
Hi Lev, I see this bug has entered errata. Please provide the doc text for this bug, thanks.

Kind regards,
Julie

Comment 5 errata-xmlrpc 2014-09-04 12:59:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1157.html


Note You need to log in before you can comment on or make changes to this bug.